Subject: Re: [PATCH 08/24] net, diet: Make TCP metrics optional

From: Rick Jones <[email-masked]>
Date: Tue, 06 May 2014 10:12:11 -0700

On 05/06/2014 09:41 AM, [email-masked] wrote:
> On Tue, May 06, 2014 at 11:59:41AM -0400, David Miller wrote:
>> Making 2MB RAM machines today makes no sense at all.
>>
>> The lowest end dirt cheap smartphone, something which fits on
>> someone's pocket, has gigabytes of ram.
>
> The lowest-end smartphone isn't anywhere close to "dirt cheap", and
> hardly counts as "embedded" at all anymore.  Smartphones cost $100+;
> we're talking about systems in the low tens of dollars or less.  These
> systems will have no graphics, no peripherals, and only one or two
> specific functions.  The entirety of their functionality will likely
> consist of a single userspace program; they might not even have a PID 2.
> *That's* the kind of "embedded" we're talking about, not the
> supercomputers we carry around in our pockets.

Would this be some sort of "Internet of Things" system?

rick jones